offshore.controller('BeachCtrl', function(
	$location,
	$sce,
	$scope,
	$stateParams
) {
	$scope.getIframeUrl = function() {
		return $sce.trustAsResourceUrl($scope.beach.iframe);
	};
	$scope.goBack = function() {
		$location.path($scope.county ? '/county/' + $scope.county.name
				: '/counties');
	};

	$scope.$watch(function() {
		return $stateParams.beachSlug;
	}, function(beachSlug) {
		angular.forEach($scope.counties, function(county) {
			angular.forEach(county.beaches, function(beach) {
				if (beach.slug == beachSlug) {
					$scope.beach = beach;
					$scope.county = county;
				}
			});
		});
	});
});