offshore.directive('wowza', function(
	$timeout
) {
	return {
		restrict: 'A',
		link: function($scope, element, attributes) {
			$timeout(function() {
				var video = angular.element(
						'<video width="100%" height="100%" autoplay controls style="max-height: 100%">'
								+ '<source src="http://video.offshoretheater.com:1935/live/mp4:'
										+ attributes.wowza
										+ '.stream/playlist.m3u8" type="application/x-mpegURL">'
								+ '<source src="rtmp://video.offshoretheater.com/live/mp4:'
										+ attributes.wowza
										+ '.stream" type="video/mp4">'
								+ '<source src="http://video.offshoretheater.com:1935/live/mp4:'
										+ attributes.wowza
										+ '.stream/manifest.mpd" type="application/dash+xml">'
						+ '</video>');

				function stopAndGoBack() {
					video.remove();
					$timeout($scope.goBack, 0);
				}

				video.on('play', function() {
					$timeout(stopAndGoBack, 10 * 60 * 1000);
				});
				video.on('pause abort', stopAndGoBack);

				element.append(video);
			}, 0);
		}
	};
});