var offshore = angular.module('offshore', ['ionic']).run(function(
	$ionicPlatform
) {
	$ionicPlatform.ready(function() {
		// Hide the accessory bar.
		if (window.cordova && window.cordova.plugins.Keyboard)
			cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
		if (window.StatusBar)
			StatusBar.styleDefault();
	});
});


offshore.config(function(
	$stateProvider,
	$urlRouterProvider
) {
	$stateProvider.state('login', {
		url: '/login',
		templateUrl: 'templates/login.html'
	});


	$stateProvider.state('counties', {
		url: '/counties',
		templateUrl: 'templates/counties.html'
	});
	$stateProvider.state('county', {
		url: '/county/:county',
		templateUrl: 'templates/county.html'
	});
	$stateProvider.state('beach', {
		url: '/beach/:beachSlug',
		templateUrl: 'templates/beach.html'
	});


	$urlRouterProvider.otherwise('/login');
});


offshore.constant('offshoreApiUrl',   'http://video.offshoretheater.com:22222/api/');
offshore.constant('weatherServerUrl', 'http://video.offshoretheater.com:11111/');