offshore.controller('BeachesCtrl', function(
	$http,
	$scope,
	$window,
	offshoreApiUrl
) {
	try {
		var storedCounties = $window.localStorage['counties'];
		if (storedCounties) {
			$scope.counties = angular.fromJson(storedCounties);
		}
	} catch(exception) {
	}


	$http.get(offshoreApiUrl + 'beaches/').success(function(counties) {
		$scope.counties = counties;
		$window.localStorage['counties'] = angular.toJson(counties);
	});
});